const withPWA = require("next-pwa");
const nextTranslate = require("next-translate");

module.exports = withPWA({
  ...nextTranslate({}),
  pwa: {
    disable: process.env.NODE_ENV === "development",
    dest: "public",
    register: true,

    // fallbacks: {
    //   image: "/static/images/fallback.png",
    //   document: '/other-offline',  // if you want to fallback to a custom page other than /_offline
    //   font: '/static/font/fallback.woff2',
    //   audio: ...,
    //   video: ...,
    // },
  },
  env: {
    tags: [
      "Computer Science",
      "Bussiness",
      "Internship",
      "Tips & Tricks",
      "Food",
      "Friends",
      "Family",
      "Friends",
      "Gaming",
      "Knowledge",
      "Lifestyle",
      "Music",
      "Highschool",
      "University",
      "Relationship",
      "Opportunity",
      "Mathematics",
      "Physic",
      "Khmer Literature",
      "English",
      "Places",
      "Design",
      "Community",
      "Music",
      "Information Technology",
      "Architecture",
      "Industry Engineering",
      "Civil Engineering",
      "Construction Management",
      "Architectural Engineering",
      "Management of Information Science",
      "International Relations",
      "Finance",
      "Logistic",
      "Need Help",
      "General Question",
      "Other",
    ],
  },
});
